export declare class StorageService {
    private storage;
    protected prefix: string;
    constructor(storage: Storage);
    usePrefix(prefix: string): void;
    getPrefix(): string;
    clear(): void;
    put(key: string, value: any): void;
    get(key: string, defaultValue?: any): any;
    remove(key: string): void;
    removeStartsWith(startWith: string): void;
    removeEndsWith(endsWith: string): void;
    private parse;
}
